Package io.dapr.client.domain.query.filters

# Class OrFilter

java.lang.Object
io.dapr.client.domain.query.filters.Filter
io.dapr.client.domain.query.filters.OrFilter

public class OrFilter extends Filter

## Constructor Summary

Constructors
Constructor
Description
`OrFilter()`

## Method Summary

Modifier and Type
Method
Description
`<V extends Filter>
OrFilter`
`addClause(V filter)`
`Filter<?>[]`
`getClauses()`
`String`
`getRepresentation()`
`Boolean`
`isValid()`

### Methods inherited from class io.dapr.client.domain.query.filters.Filter

`getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OrFilter

public OrFilter()

## Method Details

### addClause

public <V extends Filter> OrFilter addClause(V filter)

### getClauses

public Filter<?>[] getClauses()

### getRepresentation

public String getRepresentation()

Specified by:
  `getRepresentation` in class `Filter`

### isValid

public Boolean isValid()

Specified by:
  `isValid` in class `Filter`